Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.faces
Class JsfCreator

    java.lang.Object
      org.directwebremoting.create.AbstractCreator
          org.directwebremoting.faces.JsfCreator

All Implemented Interfaces:
  Creator

    public class JsfCreator

extends AbstractCreator
implements Creator

This is a DWR creator implementation, to allow dwr beans to be allocated into JSF scopes and into jeffs3 specific scope (i.e. the flow scope)

Author:
  Pierpaolo Follia, Joe Walker [joe at getahead dot ltd dot uk], Vinicius Melo [vdmelo at gmail dot com]

Field Summary

Fields inherited from interface org.directwebremoting.extend.Creator
`APPLICATION, PAGE, REQUEST, SCRIPT, SESSION`

Constructor Summary
`JsfCreator()`

Method Summary
`java.lang.Object` | `getInstance()` Accessor for the/an instance of this Creator.
`java.lang.String` | `getManagedBeanName()`
`java.lang.Class` | `getType()` Accessor for the `java.lang.Class` that this Creator allows access to.
`static boolean` | `isVBExpression(java.lang.String expression)` Determine whether String is a value binding expression or not.
`void` | `setClass(java.lang.String classname)` What sort of class do we create?
`void` | `setManagedBeanName(java.lang.String managedBeanName)`

Methods inherited from class org.directwebremoting.create.AbstractCreator
`getJavascript, getScope, isCacheable, setCacheable, setJavascript, setProperties, setScope, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.directwebremoting.extend.Creator
`getJavascript, getScope, isCacheable, setProperties`

Constructor Detail

### JsfCreator

    public JsfCreator()

Method Detail

### getType

    public java.lang.Class getType()

  Description copied from interface: `Creator`
  Accessor for the `java.lang.Class` that this Creator allows access to.

  Specified by:
    `getType` in interface `Creator`
  Returns:
    The type of this allowed class

### getInstance

    public java.lang.Object getInstance()
                                 throws java.lang.InstantiationException

  Description copied from interface: `Creator`
  Accessor for the/an instance of this Creator.

  Specified by:
    `getInstance` in interface `Creator`
  Returns:
    the instance to use
  Throws:
    `java.lang.InstantiationException` - If for some reason the object can not be created

### isVBExpression

    public static boolean isVBExpression(java.lang.String expression)

  Determine whether String is a value binding expression or not.

  Parameters:
    `expression` - The expression to test for value bindingness
  Returns:
    true if the expression contains a VB expression

### getManagedBeanName

    public java.lang.String getManagedBeanName()

  Returns:
    Returns the managedBeanName.

### setManagedBeanName

    public void setManagedBeanName(java.lang.String managedBeanName)

  Parameters:
    `managedBeanName` - The managedBeanName to set.

### setClass

    public void setClass(java.lang.String classname)

  What sort of class do we create?

  Parameters:
    `classname` - The name of the class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD